### Method

# Ggit Index write_tree_to

#### Declaration [src]

    GgitOId*
    ggit_index_write_tree_to (
      GgitIndex* idx,
      GgitRepository* repository,
      GError** error
    )

#### Description [src]

Write a new tree object to `repository` containing a representation of the current state of the index. The index must not contain any files in conflict. You can use the resulting tree to for instance create a commit.

#### Parameters

`repository`

  Type: `GgitRepository`

  A `GgitRepository`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitOId`

A `GgitOId` or `NULL` in case of an error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.